package com.changhong.epc.admin.controller.corres;


import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.changhong.epc.admin.service.corres.CorresElFieldService;
import com.changhong.epc.bean.admin.CorresElField;
import com.changhong.epc.bean.admin.extend.CorresElFieldExtendFind;
import com.changhong.epc.constter.admin.AdminUrlConst;

@RestController
public class CorresElFieldController  implements AdminUrlConst{

	@Resource(name="corresElFieldServiceImpl")
	private CorresElFieldService corresElFieldService;
	
	/**
	 * 查询出所有常量
	 * 
	 */
	@PostMapping(REST_ADMIN_CORRESELFIELD_SELECT)
	public CorresElFieldExtendFind selectMapper(){
		return corresElFieldService.selectAll();
	}
	
	
	/**
	 * 修改常量
	 * @param corr
	 * @return
	 */
	@PostMapping(REST_ADMIN_CORRESELFIELD_UPDATE)
	public int updateCorres(@RequestBody CorresElField corr){
		return corresElFieldService.updateCorres(corr);
	}
	
	
	/**
	 * 逻辑删除常量
	 * @param corr
	 * @return
	 */
	@PostMapping(REST_ADMIN_CORRESELFIELD_DELET)
	public int deleteCorres(@RequestBody CorresElField corr){
		return corresElFieldService.deleteCorres(corr);
	}
	
	/**
	 * 查询出所有data_start为0常量
	 * 
	 */
	@PostMapping(REST_ADMIN_CORRESELFIELD_FIND)
	public List<CorresElField> findCorres(@RequestBody CorresElField corr){
		return corresElFieldService.findCorres(corr);
	}
	
	/**
	 * 添加常量
	 * 
	 */
	@PostMapping(REST_ADMIN_CORRESELFIELD_ADD)
	public int addCorres(@RequestBody CorresElField corr){
		return corresElFieldService.addCorres(corr);
	}
	
//	/**
//	 *通过常量business_meaning_code 取 md_code 
//	 *
//	 */
//	@PostMapping(GET_MDCODE_BY_BMCODE)
//	public String getMDCodeByBMCode(@RequestBody Map<String,String> map){
//		return corresElFieldService.getMDCodeByBMCode(map.get("bmCode"));
//	}
	
	/**
	 *通过常量business_meaning_code 取 md_code 
	 *
	 */
	@PostMapping(GET_CORRESELFIELD)
	public List<CorresElField> getCorresElField(@RequestBody CorresElField corr){
		return corresElFieldService.getCorresElField(corr);
	}
	
}
