package com.changhong.epc.admin.controller.site;

import javax.annotation.Resource;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.changhong.epc.admin.service.site.CenterMasterValueService;
import com.changhong.epc.bean.tenant.master.MasterValue;
import com.changhong.epc.bean.tenant.sunCloud.PushMasDataValue;
import com.changhong.epc.constter.admin.AdminUrlConst;
import com.iemsoft.framework.cloud.core.tools.JSONTool;

import io.swagger.oas.annotations.parameters.RequestBody;

@RestController
public class CenterMasterValueController implements AdminUrlConst {
	
	@Resource
	CenterMasterValueService centerMasterValueService;
	
	/**
	 * 云尚行调用费用云通用主数据接口
	 * @param data
	 * @RequestParam
	 */
	@RequestMapping(path=REST_ADMIN_CENTER_MASTER_VALUE_PUSHMASDATAVALUE, method=RequestMethod.POST)
	public Integer pushMasDataValue(@RequestParam("data") String data){
		PushMasDataValue pushMasDataValue =JSONTool.toObj(data, PushMasDataValue.class);
		centerMasterValueService.pushMasDataValue(pushMasDataValue);
		return 0;
		
	}
}
