package com.changhong.epc.admin.mapper.centen.cost;


import com.changhong.epc.bean.admin.CostTypeTemplate;
import com.changhong.epc.bean.admin.SuppStanderTemplate;
import com.changhong.epc.bean.admin.extend.CostTypeTemplateExtend;
import com.changhong.epc.bean.admin.extend.SuppStanderTemplateExtend;
import com.changhong.epc.bean.tenant.norm.extend.AppStanderExtend;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CostTypeTemplateMapper extends MybatisBaseMapper<CostTypeTemplate>{
	
	//分页查询费用类型组所有信息
	List<CostTypeTemplate> selectByPage(CostTypeTemplate costTypeTemplate);
	
	
	/**
	 *zz
	 *通过name查询费用类型模板 
	 * 
	 */
	List<CostTypeTemplate> getCostTypeTemplateByName(@Param("name")String name);

	/**
	 * @Author WangYX
	 * @Description 查询业务类型模板
	 * @Date 2019/4/1 1:14 PM
	 */
	CostTypeTemplateExtend getCostTypeTemplate(@Param("ctId") Integer ctId);
	
	/**
	 *zz
	 *创建模板
	 * 
	 */
	int createTemplate(CostTypeTemplate costTypeTemplate);
	
	/**
	 *zz
	 *修改模板
	 * 
	 */
	int updateTemplate(CostTypeTemplate costTypeTemplate);

    List<SuppStanderTemplateExtend> selectByid(SuppStanderTemplate suppStander);

	void suppStanderUpdate(@Param("supp") List<SuppStanderTemplateExtend> suppStanderExtend);

	void appStanderDefUpdate(@Param("supp") List<SuppStanderTemplateExtend> suppStanderExtend);

	int suppStanderSave(@Param("supp") SuppStanderTemplateExtend sse);

	int appStanderDefSaveOne(@Param("app") AppStanderExtend appStanderExtend, @Param("supp") SuppStanderTemplateExtend sse);
}
