package com.changhong.epc.admin.service.asset;

import com.changhong.epc.bean.admin.AssetDepreciation;

import java.util.List;

/**
 * 固定资产折旧服务
 */
public interface AssetDepreciationService {

    /**
     * 添加
     * @param assetDepreciation
     * @return
     */
    int insert(AssetDepreciation assetDepreciation);

    /**
     * 查询列表
     * @param assetDepreciation
     * @return
     */
    List<AssetDepreciation> select(AssetDepreciation assetDepreciation);

    /**
     * 修改
     * @param assetDepreciation
     * @return
     */
    int update(AssetDepreciation assetDepreciation);

    /**
     * 查询最后一次记账时间
     * @param assetDepreciation
     * @return
     */
    String selectLastAccountDate(AssetDepreciation assetDepreciation);
}
