package com.changhong.epc.admin.service.corres;

import java.util.List;

import com.changhong.epc.bean.admin.CorresElField;
import com.changhong.epc.bean.admin.extend.CorresElFieldExtendFind;


public interface CorresElFieldService {
	
	/**
	 * 查询出所有常量
	 * @return
	 */
	CorresElFieldExtendFind selectAll();
	
	/**
	 * 查询出所有data_start为0常量
	 * 
	 */
	List<CorresElField> findCorres(CorresElField corr);
			
		
	/**
	 * 修改常量
	 * @return
	 */
	int updateCorres(CorresElField corr);
	
	/**
	 * 逻辑删除常量
	 * @return
	 */
	int deleteCorres(CorresElField corr);
	
	/**
	 * 添加常量
	 * @return
	 */
	int addCorres(CorresElField corr);
	
	/**
	 *通过常量获取mdcode 
	 *//*
	String getMDCodeByBMCode(String bmCode);*/
	
	/**
	 *获取CorresElField
	 */
	List<CorresElField> getCorresElField(CorresElField corr);
}
