package com.changhong.epc.admin.service.menu.impl;

import com.changhong.epc.admin.mapper.centen.menu.MenuMapper;
import com.changhong.epc.admin.service.menu.MenuService;
import com.changhong.epc.bean.admin.menu.Menu;
import com.changhong.epc.constter.base.BaseConst;
import com.iemsoft.framework.cloud.core.thread.ThreadData;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Objects;

@Service
public class MenuServiceImpl implements MenuService, BaseConst {

    @Resource
    private MenuMapper menuMapper;

    @Override
    public List<Menu> getMenu() {
        if(Objects.equals("admin", ThreadData.get(PERM_TYPE))){
            return menuMapper.getAdminMenu();
        }
        return menuMapper.getMenu();
    }

}
