package com.changhong.epc.admin.service.site;

import java.util.List;
import java.util.Map;

import com.changhong.epc.bean.admin.MasterDefaultMapping;
import com.changhong.epc.bean.admin.MasterElementMapping;
import com.changhong.epc.bean.admin.MasterValueToCode;
import com.changhong.epc.bean.tenant.master.CodeAndAlias;
import com.changhong.epc.bean.tenant.master.MasterDefine;
import com.changhong.epc.bean.tenant.master.MasterValue;

public interface MasterDefaultMappingService {
	
	/**
	 * 
	 * @param Code
	 * @return
	 */
	List<Map<String,String>> selectCode(MasterDefine master);


	/**
	 * 查询主数据映射
	 * @param Code
	 * @return
	 */
	MasterDefaultMapping selectMasterDefault(String Code);
	
	/**
	 * 查询主数据映射费用类型字段
	 * @param mdm
	 * @return
	 */
	List<MasterElementMapping> selectMasterElement(MasterDefaultMapping mdm);
	
	/**
	 * value转code
	 */
	MasterValue ValueConCode(MasterValueToCode con);
	
	/**
	 * code转value
	 */
	MasterValue CodeConValue(MasterValueToCode con);
	
	Map<String,String> getFieldOrCode(String code);

	int insertMasterDefault(MasterDefaultMapping mdm);

	int updateMasterDefault(MasterDefaultMapping mdm);

	int insertMasterElement(List<MasterElementMapping> masterElementMapping);

	int updateMasterElement(MasterElementMapping masterElementMapping);

	/**
	 * 查询所有映射主数据
	 * @return
	 */
    List<MasterDefaultMapping> selectMasterDefMappingList();
}
