package com.changhong.epc.admin.controller.menu;

import com.changhong.epc.admin.service.menu.MenuService;
import com.changhong.epc.bean.admin.menu.Menu;
import com.changhong.epc.constter.admin.AdminUrlConst;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
public class MenuController implements AdminUrlConst {

    @Resource
    private MenuService menuService;

    @PostMapping(ADMIN_MENU)
    public List<Menu> getMenu(){
        return menuService.getMenu();
    }

}
