package com.changhong.epc.admin.mapper.centen;

import com.changhong.epc.bean.admin.CostGroupType;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *初始化向导使用
 *epc_init_company 
 * 
 */
public interface InitDataMapper {
	
	
	/**
	 * 更新info表
	 */
	int initTenant(@Param("tenantId")int tenantId,
			@Param("tenantName") String tenantName);
	
	
	/**
	 *创建表 
	 */
	int createTable(@Param("tenantId")int tenantId,@Param("companyId") int companyId);
	
	
	/**
	 * 初始化公司tpye表信息
	 *  
	 */
	int initdataToComp(@Param("tenantId")int tenantId,@Param("companyId") int companyId,@Param("list")List<CostGroupType> cost,@Param("gId")int gId);
	
	

	/**
	 * 初始化tpye表信息总表
	 *  
	 */
	int initdataToCompType(@Param("list")List<CostGroupType> cost,@Param("gId")int gId);
}
