package com.changhong.epc.admin.mapper.centen.cost;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.changhong.epc.bean.admin.CostGroupType;
import com.changhong.epc.bean.admin.extend.CostGroupTypeExtend;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;

	
	
public interface CostGroupTypeMapper extends MybatisBaseMapper<CostGroupType> {
	//查询费用组费用类型
	List<CostGroupTypeExtend> selectTree(@Param("costGroupType") CostGroupType costGroupType);
	
	//分页查询父类与所有子类
	List<CostGroupTypeExtend> selectTreePage(@Param("costGroupType") CostGroupType costGroupType);
	
	//查询子节点与其父节点
	CostGroupTypeExtend selectTreeOne(@Param("costGroupType") CostGroupType costGroupType);
	
	/**
	 * 修改费用类型
	 */
	int updateCost(CostGroupTypeExtend cost);


	int updateCostPrimaryKey(@Param("autoId")Integer autoId,@Param("oldId")Integer oldId);

	CostGroupType selectPrimaryByCodeIdAndCodeId(@Param("gId") Integer gId,@Param("codeId") String codeId);
	/**
	 *给模板添加费用类型 
	 * zz
	 */
	int addCostType(@Param("lt")CostGroupTypeExtend costGroupTypeExtend,@Param("gId")int gid);
	
	
	
	/**
	 *通过模板id删除费用项
	 * zz
	 */
	int delCostType(@Param("gId")int gId);

	List<CostGroupType> getCostTypeByTemId(@Param("id")int id);

	/**
	 * 查询补助标准id
	 */
	 Integer getAllowancesId(@Param("cg_id") Integer int1,@Param("ct_id") Integer int2);

	/**
	 * 修改模板之后同时通过补助标准id更新ct_id
	 */
	 void updategetAllowancesId(@Param("cg_id") Integer int1,@Param("ct_id") Integer int2,@Param("allowancesId") Integer allowancesId);
}
