package com.changhong.epc.admin.mapper.centen.master;

import com.changhong.epc.bean.tenant.master.MasterDefine;
import com.changhong.epc.bean.tenant.master.extend.GeneralMasterDefine;
import com.changhong.epc.bean.tenant.master.extend.MasterDefinesExtend;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MasterDefineMapper extends MybatisBaseMapper<GeneralMasterDefine>{
	
	List<MasterDefine> selectByQuery(@Param("type") String type);
	
	
	List<MasterDefinesExtend> selectEle(MasterDefine masterDefine);
	
	List<MasterDefinesExtend> selectName(@Param("master") MasterDefine master);
	
	Integer selectIdByCode(String code);
	
	int deleteAll();
		
	List<MasterDefinesExtend> selectOrName(@Param("master") MasterDefine master);

	String selectMasterDefaultMapping(@Param("mdCode") String mdCode);

	int deleteMasterDefineByCode(@Param("code") String code);

	String selectMasterDefineCodeByCode(@Param("code") String code);


}
