package com.changhong.epc.admin.mapper.centen.master;

import com.changhong.epc.bean.tenant.master.MasterElement;
import com.changhong.epc.bean.tenant.master.extend.GeneralMasterElement;
import com.changhong.epc.bean.tenant.master.extend.MasterElementExtend;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MasterElementMapper extends MybatisBaseMapper<GeneralMasterElement> {
	
	List<MasterElementExtend> selectByCode(@Param("code") String defineCode);
	
	List<MasterElement> elementInfos(@Param("code") String code);
	
	String geteleCode(@Param("code") String code, @Param("type") String type);
	
	int deleteAll();
	
	Integer updateAlias(@Param("defineCode")String defineCode,@Param("eleCode")String eleCode,@Param("alias")String alias);

	int deleteByDefineCode(@Param("code") String code);

	List<GeneralMasterElement> findMasterEleByCode(@Param("code") String code);

}
