package com.changhong.epc.admin.mapper.centen.site;

import com.changhong.epc.bean.admin.MasterDefaultMapping;
import com.changhong.epc.bean.admin.MasterElementMapping;
import com.changhong.epc.bean.admin.MasterValueToCode;
import com.iemsoft.framework.cloud.mybatis.common.MybatisBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
/** 
 * 
 * @ClassName: MasterDefaultMappingMapper
 * @author [九鼎联合科技] 
 * @date 2017年10月20日 上午10:32:53
 */
public interface MasterDefaultMappingMapper extends MybatisBaseMapper<MasterDefaultMapping>{
	
	/**
	 * 查询是否有关联主数据
	 */
	MasterDefaultMapping selectMaster(@Param("code") String code);
	
	
	/**
	 * 查询元素映射下的值
	 */
	List<Map<String,String>> selectValue(@Param("tableName") String tableName,@Param("list") List<MasterElementMapping> list,
			@Param("isAll") String isAll,@Param("listParam") List<String> codes,
			@Param("code")String code,@Param("value") String value,@Param("eleCode") String eleCode,@Param("eleValue") String eleValue);

	/**
	 * value转code
	 */
	String ValueConCode(@Param("con") MasterValueToCode con);
	
	/**
	 * code转value
	 */
	String CodeConValue(@Param("con") MasterValueToCode con);

	/**
	 * 根据id查询数据
	 * */
	MasterDefaultMapping selectMasterById(@Param("id") Integer id);

	int updateMasterDefaultMapping(MasterDefaultMapping mdm);

	//插入并返回主键
	int insertDefaultMappingToId(@Param("mdm")MasterDefaultMapping mdm);

	/**
	 * 查询所有映射定义关联元素
	 * @return
	 */
    List<MasterDefaultMapping> selectAllDefAndEle();
}