package com.changhong.epc.admin.service.cost;

import java.util.List;

import com.changhong.epc.bean.admin.CostGroupType;
import com.changhong.epc.bean.admin.CostTypeTemplate;
import com.changhong.epc.bean.admin.extend.CostGroupTypeExtend;

public interface CostGroupTypeService {
	
	//查询费用组费用类型
	List<CostGroupTypeExtend> selectTree(CostGroupType costGroupType);
	
	//添加费用组费用类型
	CostGroupType addCostType(CostGroupTypeExtend costGroupType);
	
	//修改费用组费用类型
	int updateCostType(CostGroupTypeExtend costGroupType);
	
	//逻辑删除费用组费用类型
	int deleteCostType(CostGroupType costGroupType);
	
	//分页查询父类与所有子类
	List<CostGroupTypeExtend> selectTreePage(CostGroupType costGroupType);
	
	//查询子节点与其父节点
	CostGroupTypeExtend selectTreeOne(CostGroupType costGroupType);
	
	
}
